<section>
  <nz-card
    [nzTitle]="product.productName"
    [nzActions]="[extraQuantityInfo, actionAdd]">
    <p>Catégorie: {{ product.category }}</p>
    <p>Prix: {{ product.taxedPrice | currency : 'EUR' }}</p>
  </nz-card>
</section>

<ng-template #extraQuantityInfo>
  <ng-container *ngIf="product.quantity > 0; else noQuantity">
    <nz-input-number
      [(ngModel)]="selectedQuantity"
      [nzFormatter]="quantityFormatter"
      [nzStep]="1"
      [nzMax]="product.quantity - product.selectedQuantity"
      [nzMin]="0"
    />
  </ng-container>
  <ng-template #noQuantity>
    <p>non disponible</p>
  </ng-template>
</ng-template>
<ng-template #actionAdd>
  <button
    nz-button
    nzType="primary"
    [disabled]="selectedQuantity === 0"
    (click)="addToCart()">
    Ajouter
  </button>
</ng-template>
